package jp.co.intra_mart.cookbook_118986;

import jp.co.intra_mart.common.platform.log.Logger;
import jp.co.intra_mart.foundation.context.Contexts;
import jp.co.intra_mart.foundation.user_context.model.Department;
import jp.co.intra_mart.foundation.user_context.model.UserContext;
import jp.co.intra_mart.foundation.viewcreator.SystemParameter;

abstract class AbstractSystemParameterCurrentDepartment implements SystemParameter {

    private static final Logger LOGGER = Logger.getLogger(SystemParameterCurrentDepartmentCd.class);

    protected Department getCurrentDepartment() {
        // ユーザコンテキストからカレント組織を取得
        final Department currentDepartment = Contexts.get(UserContext.class).getCurrentDepartment();
        if (currentDepartment == null) {
            // カレント組織が未設定の場合
            LOGGER.warn("current organizational information is not valid.");
        }
        return currentDepartment;
    }
}
